ホーム お知らせ 新着情報 2017 【重要】各種SDKアップデートのお知らせ(該当のSDK for Javaがご利用いただけなくなります)

新着情報 2017

【重要】各種SDKアップデートのお知らせ(該当のSDK for Javaがご利用いただけなくなります)

更新日:2017年5月31日


平素は docomo Developer support サイトをご利用いただき、誠にありがとうございます。

このたび、システム更新のため、下記SDKについてアップデート版の提供を開始しました。
2017年6月13日以降は、現行のSDK for Javaでは通信ができなくなる場合がございますので、大変ご面倒をお掛けしますが、2017年6月12日までにご対応よろしくお願い致します。
※Android版およびiOS版のSDKをご利用の場合は変更はございませんのでご対応は不要です。
※OAuth SDK for Java のみで、下記対象SDKを併用していない場合は対応は不要です。

■対象SDK
・雑談対話 SDK for Java
・知識Q&A SDK for Java
・発話理解 SDK for Java
・トレンド記事抽出 SDK for Java
・音声合成 【Powered by エーアイ】SDK for Java
・画像認識 SDK for Java
・文字認識 SDK for Java
・OAuth SDK for Java

■変更内容
SDKの変更箇所は以下の通りとなります。
SDK の lib フォルダに格納している以下のライブラリを差し替えお願いいたします。
・httpclient-4.5.1.jar → httpclient-4.5.3.jar
・httpcore-4.4.3.jar → httpcore-4.4.6.jar
・httpmime-4.5.1.jar → httpmime-4.5.3.jar
・commons-codec-1.6.jar → commons-codec-1.9.jar
・commons-logging-1.1.2.jar → commons-logging-1.2.jar

なお、ライブラリのみのアップデートとなるため、SDKのバージョンは現行と変更ございませんのでご注意ください。

docomo Developer support をご愛顧賜りますよう、よろしくお願い申し上げます。